LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Error 1073807202 with LabVIEW NXG 2.0 and Keithley 2400 source meter

Highlighted

Hi, I was trying to write a code to control a Keithley 2400 source meter. In the computer I installed Labview 2017 since I have an old code that I needs to run. I installed Labview NXG 2.0 and the latest NI-VISA (17.5). The GPIB card is KUSB-488B and I installed the latest NI command compatible driver (KI-488_v3.13) which I downloaded from Keithley. I also installed the certified instrument driver 'Keithley 24XX Labview Plug and Play (project-style) 1.2.5' from NI Package Manager. I run the sample code 'Keithley 24XX Read Single.gvi' provided in the instrument driver in NXG 2.0 and I got an error message as follow,

 

Error -1073807202 occurred at Keithley 24XX Read Single.gvi
-->Interactive:Initialize.gvi
-->Interactive:NI: Open (Instr).gvi:2340001
-->Interactive:NI: Open.gvi:2160001
-->Interactive:NI: Set Error Code.gvi:520001

 

Possible reason(s):

LabVIEW: (Hex 0xBFFF009E) VISA or a code library required by VISA could not be located or loaded. This is usually due to a required driver not being installed on the system.

 

I run an old code I wrote last year in Labview 2017 and everything was fine. I also checked NI MAX and it recognized the GPIB card. VISA test panel also showed no error at all.

 

 

 

Does anyone have or had such problem? Any advice about how to solve it?

 

Thanks a lot.

 

Rui

0 Kudos
Message 1 of 16
(1,500 Views)
Highlighted

Do you see VISA in package manager?

0 Kudos
Message 2 of 16
(1,472 Views)
Highlighted

Hi, natasftw,

 

Yes, I can see VISA in the installed list in package manager.

0 Kudos
Message 3 of 16
(1,467 Views)
Highlighted

Do you also have 488.2 installed in NI Package Manager? and if so, what version?

Clemens | Technical Support Engineer | National Instruments
0 Kudos
Message 4 of 16
(1,447 Views)
Highlighted

Hi, Kemens,

 

Thank you for asking. 

 

No, I didn't install NI 488.2 driver. The 488.2 driver I installed is the NI Command Compatible Driver (3.13) which is provided by Keithley for my Keithley KUSB-488B card in order to use some other old LabVIEW programs with LabVIEW 2017. Here is the link to the driver.

 

https://www.tek.com/accessory/ki-488/3-1-3

 

Does LabVIEW NXG only work with NI 488.2 driver?

0 Kudos
Message 5 of 16
(1,431 Views)
Highlighted

Hi, Kemens,

 

Some updates here.

 

1. I found that LabVIEW NXG 2.1 was released in NI Package Manager so I updated NXG 2.0 to 2.1. The problem still exists with the same error code.

 

2.  Since you mentioned NI 488.2 driver, I uninstalled the Keithley GPIB driver and installed the NI 488.2 driver (17.6.0). Now I have a different error code,

 

Error -1073807195 occurred at Keithley 24XX Read Single.gvi
-->Keithley 24XX:Initialize.gvi
-->NI:VISA:Open (Instr).gvi:2340001
-->NI:VISA:Open.gvi:2160001
-->NI:VISA:Set Error Code.gvi:520001

 

Possible reason(s):


VISA: (Hex 0xBFFF00A5) The interface type is valid, but the specified interface number is not configured.

 

VISA Test Panel gave me the same error code,

Error opening resource:
GPIB0::24::INSTR

VISA: (Hex 0xBFFF00A5) The interface type is valid, but the specified interface number is not configured.

 

After uninstalling the NI 488.2 driver and install the Keithley driver (3.13), VISA Test Panel showed no problem but NXG 2.1 showed the same error code as before, Error 1073807202.

0 Kudos
Message 6 of 16
(1,410 Views)
Highlighted

Hello Rui,

 

Thank you for the update.  I am not sure why you are running into that issue, but I am investigating on my end and will let you know what I find out.

Clemens | Technical Support Engineer | National Instruments
0 Kudos
Message 7 of 16
(1,344 Views)
Highlighted

Thanks, Kemens. I am looking forward to hear any updates from you. 

 

Just a wild guess here, could it be some conflict between the Keithley 24XX Plug and Play driver (project style) that I download from the NI Package Manager and NXG 2.0/2.1?

 

I think the Plug and Play driver was meant to be used with NXG 1.0. Maybe something got updated from NXG 1.0 to 2.1/2.1 that causes this conflict?

0 Kudos
Message 8 of 16
(1,341 Views)
Highlighted

Hello Rui,

 


@rguo003

 I think the Plug and Play driver was meant to be used with NXG 1.0. Maybe something got updated from NXG 1.0 to 2.1/2.1 that causes this conflict?


That is a possibility, but I think gvi from LabVIEW NXG 1.0 should be able to work in 2.X without issue.

 

Here are a few items I would like us to look into:

  1. Does the Keithley 2400 show up correctly in the Windows Device Manager and does it reflect the 3.13 version of the Keithley driver installed?  If you are unsure, you can attach screenshot of the Windows Device Manager showing the Keithley 2400 and we can check.
  2. If we do not use the Keithley Plug and Play driver (created for LabVIEW NXG 1.0 gvi), are we able to communicate with the Keithley device using NI VISA directly?  This should work in both LabVIEW 2017 and LabVIEW NXG.  Since the error is occurring at the Initialize gvi, could you open that gvi and try and see what call in there results in the error?
  3. Could you attach an I/O Trace (https://knowledge.ni.com/KnowledgeArticleDetails?id=kA00Z000000PAr6SAG) of a working connection with LabVIEW 2017 and a failed connection with LabVIEW NXG 2.x?  We would like to see how the calls are coming out differently.  Please make sure you are saving to a .nitrace file.
Clemens | Technical Support Engineer | National Instruments
0 Kudos
Message 9 of 16
(1,299 Views)
Highlighted

Hi, Clemens,

 

Thank you for your reply. Here are the results you asked.

 

1. I don't see Keithley 2400 in my Windows Device Manager but I can see the Keithley GPIB card. The driver information of the KUSB-488B card doesn't show version 3.13. It showed as 7.0.2.1117. Here are the scrren shots.

 Device manager.JPG

 

Keihley GPIB driver.JPG

 

 

2. NI Max can recognize the GPIB card and VISA Test Panel was able to communicate with 2400 with no errors. NI MAX.JPG

 

VISA Test panel.JPG

 

 

 

The driver for 2017SP1 works with no error (both Read Single.vi and Initialize.vi). The Pluag and Play driver for NXG (both Read Single.gvi and Initialize.gvi) doesn't work showing the same error code as before. I opened initialize.gvi and here is what I found. Error our showed a code

'd -1073807202' with a source '<2>{"desc":"","chain":["NI:VISA: Set Error Code.gvi:520001","NI:VISA: Open.gvi:2160001","NI:VISA: Open (Instr).gvi:2340001","Keithley 24XX: Initialize.gvi"]}'. When I checked the Diagram and slow the execution, I found that the error started at the first call which is VISA Open.initialize gvi error 1.JPG

 

initialize gvi error 2.JPG

 

 

I then opened VISA Open and run it. Here is the error out message. 'd -1073807343' and source '<2>{"desc":"","chain":["NI:VISA: Set Error Code.gvi:520001","NI:VISA: Open.gvi:2160001","NI:VISA: Open (Instr).gvi"]}'. I didn't take scrrenshots this time.

 

3. I got the I/O trace and please check the attachment for them. I run the Read Single.vi and Initialize.vi in 2017SP1 which were both successful. I then run the Read Single.gvi and Initialize.gvi in NXG 2.1 and both were failed.

 

0 Kudos
Message 10 of 16
(1,294 Views)